Name:           cfitsio
Version:        3.006
Release:        3%{?dist}
Summary:        Library for manipulating FITS data files

Group:          Development/Libraries
License:        GPL
URL:            http://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html
Source0:        ftp://heasarc.gsfc.nasa.gov/software/fitsio/c/cfitsio3006.tar.gz
Patch:          cfitsio.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:     gcc-g77
Requires(post):    /sbin/ldconfig
Requires(postun):  /sbin/ldconfig

%description
CFITSIO is a library of C and FORTRAN subroutines for reading and writing 
data files in FITS (Flexible Image Transport System) data format. CFITSIO 
simplifies the task of writing software that deals with FITS files by 
providing an easy to use set of high-level routines that insulate the 
programmer from the internal complexities of the FITS file format. At the 
same time, CFITSIO provides many advanced features that have made it the 
most widely used FITS file programming interface in the astronomical 
community.

%package devel
Group:  Development/Libraries
Summary: Headers required when building programs against cfitsio
Requires: %{name} = %{version}-%{release}

%description devel
Headers required when building a program against the cfitsio library.

%prep
%setup -q -n cfitsio
%patch -p1

%build
%configure --prefix=%{buildroot}/%{_prefix} --includedir=%{buildroot}/%{_includedir}/%{name}
make shared %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
LIBDIR=%{_lib} INCLUDEDIR=include/%{name} make install
pushd %{buildroot}%{_libdir}
ln -s libcfitsio.so.0 libcfitsio.so
popd

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README License.txt changes.txt fitsio.doc fitsio.ps cfitsio.doc cfitsio.ps
%{_libdir}/libcfitsio.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/libcfitsio.a
%{_libdir}/libcfitsio.so

%changelog
* Thu Mar 30 2006 Matthew Truch <matt at truch.net> - 3.006-3
- Use defattr() for devel package as well - bug 187366

* Tue Feb 28 2006 Matthew Truch <matt at truch.net> - 3.006-2
- Fix spelling typo in name of License.txt file.

* Tue Feb 28 2006 Matthew Truch <matt at truch.net> - 3.006-1
- Update to 3.006 official non-beta release (minor bugfixes).

* Fri Dec 23 2005 Matthew Truch <matt at truch.net> - 3.005-0.1.beta
- Update to 3.005beta release.

* Mon Nov 14 2005 Matthew Truch <matt at truch.net> - 3.004-0.11.b
- Use proper URL: and Source: addresses.
- Correct typo in revision number in changelog.

* Sun Nov 13 2005 Matthew Truch <matt at truch.net> - 3.004-0.10.b
- Patch configure and the Makefile so they obey what they are told
- Require gcc-g77 to build instead of gcc-fortran like FC-4 and newer

* Sun Nov 13 2005 Matthew Truch <matt at truch.net> - 3.004-0.9.b
- Use dist tag in release for FC-3 branch

* Sat Nov 12 2005 Matthew Truch <matt at truch.net> - 3.004-0.8.b
- unset FC once we are done with the build

* Sat Nov 12 2005 Ed Hill <ed@eh3.com> - 3.004-0.7.b
- shared libs and small cleanups

* Sun Nov 06 2005 Matthew Truch <matt at truch.net> - 3.004-0.6.b
- Own include directory created by the devel package.

* Sun Nov 06 2005 Matthew Truch <matt at truch.net> - 3.004-0.5.b
- Shorten summary.
- Improve specfile post and postun syntax.
- Install headers in cfitsio include subdir.
- Include more documentation provided in tarball.

* Sun Nov 06 2005 Matthew Truch <matt at truch.net> - 3.004-0.4.b
- Require cfitsio for cfitsio-devel

* Sat Nov 05 2005 Matthew Truch <matt at truch.net> - 3.004-0.3.b
- Use proper virgin tarball from upstream.

* Sun Oct 30 2005 Matthew Truch <matt at truch.net> - 3.004-0.2.b
- Include gcc-gfortran build requirment and make sure it gets used.
- Use macros instead of hard coded paths.
- Include home page in description

* Sat Oct 29 2005 Matthew Truch <matt at truch.net> - 3.004-0.1.b
- Initial spec file for Fedora Extras.

